unit IWUnit1;
{PUBDIST}

interface

uses
  IWAppForm, IWApplication, IWTypes, IWCompLabel, IWCompMemo,
  IWCompListbox, Classes, Controls, IWControl, IWCompButton;

type
  TformMain = class(TIWAppForm)
    IWButton1: TIWButton;
    IWListbox1: TIWListbox;
    IWMemo1: TIWMemo;
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWAppFormDestroy(Sender: TObject);
    procedure IWButton1Click(Sender: TObject);
    procedure IWListbox1Change(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}

uses
  ServerController, DatamoduleUnit;

procedure TformMain.IWAppFormCreate(Sender: TObject);
begin
  DataModule1.acConn.Open;
end;

procedure TformMain.IWAppFormDestroy(Sender: TObject);
begin
  DataModule1.acConn.Close;
end;

procedure TformMain.IWButton1Click(Sender: TObject);
begin
  with DataModule1.qryMeetings do begin
    sql.clear;
    sql.add('select * from tblMeetings');
    open;

    while not eof do begin
      IWListbox1.Items.Add(FieldByName('meeting_month').asString);
      next;
    end;
  end;
end;

procedure TformMain.IWListbox1Change(Sender: TObject);
begin
  with DataModule1.qryMeetings do begin
    SQL.Clear;
    SQL.Add('SELECT * FROM tblMeetings WHERE meeting_month =');
    SQL.Add('"' + IWListbox1.Items[IWListbox1.ItemIndex] + '"');
    Open;
    IWMemo1.Lines.Add(Fieldbyname('meeting_day').AsString);
    IWMemo1.Lines.Add(Fieldbyname('meeting_month').AsString);
    IWMemo1.Lines.Add(Fieldbyname('meeting_year').AsString);
  end;
end;

end.